LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
XLibraryContainerPassword Interface Referencepublished

Extension of XLibraryContainer to provide password functionality. More...

`import"XLibraryContainerPassword.idl";`

Inheritance diagram for XLibraryContainerPassword:

## Public Member Functions
boolean | isLibraryPasswordProtected ([in] string Name) raises ( com::sun::star::container::NoSuchElementException )
| Returns true if the accessed library item is protected by a password. More...
boolean | isLibraryPasswordVerified ([in] string Name) raises ( com::sun::star::lang::IllegalArgumentException, com::sun::star::container::NoSuchElementException )
| Returns true if the accessed library item is protected by a password (see isLibraryPasswordProtected) and the password was already verified with verifyLibraryPassword or if an initial password was set with changeLibraryPassword. More...
boolean | verifyLibraryPassword ([in] string Name, [in] string Password) raises ( com::sun::star::lang::IllegalArgumentException, com::sun::star::container::NoSuchElementException )
| Verifies the library's password. More...
void | changeLibraryPassword ([in] string Name, [in] string OldPassword, [in] string NewPassword) raises ( com::sun::star::lang::IllegalArgumentException, com::sun::star::container::NoSuchElementException )
| Changes the library's password. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Extension of XLibraryContainer to provide password functionality.

This interface should be implemented together with XLibraryContainer2

## Member Function Documentation

## ◆ changeLibraryPassword()

void changeLibraryPassword | ( | [in] string | Name,
|  | [in] string | OldPassword,
|  | [in] string | NewPassword
| ) |  |
raises | ( | com::sun::star::lang::IllegalArgumentException,
|  | com::sun::star::container::NoSuchElementException
| ) |  |

Changes the library's password.

If the library wasn't password protected before: The OldPassword parameter has to be an empty string. Afterwards calls to isLibraryPasswordProtected and isLibraryPasswordVerified for this library will return true.

If the library already was password protected: The OldPassword parameter has to be set to the previous defined password. If then the NewPassword parameter is an empty string the library password protection will be disabled afterwards (afterwards calls to isLibraryPasswordProtected for this library will return false). If the NewPassword parameter is not an empty string it will accepted as the new password for the library.

If a library with the this name doesn't exist but isn't com::sun::star::container::NoSuchElementException is thrown.

If the library exists and is password protected and a wrong OldPassword is passed to the method a com::sun::star::lang::IllegalArgumentException is thrown.

If the library exists and isn't password protected and the OldPassword isn't an empty string or the library is read only a com::sun::star::lang::IllegalArgumentException is thrown.

## ◆ isLibraryPasswordProtected()

boolean isLibraryPasswordProtected | ( | [in] string | Name | ) |
raises | ( | com::sun::star::container::NoSuchElementException
| ) |  |

Returns true if the accessed library item is protected by a password.

If a library with the this name doesn't exist a com::sun::star::container::NoSuchElementException is thrown.

## ◆ isLibraryPasswordVerified()

boolean isLibraryPasswordVerified | ( | [in] string | Name | ) |
raises | ( | com::sun::star::lang::IllegalArgumentException,
|  | com::sun::star::container::NoSuchElementException
| ) |  |

Returns true if the accessed library item is protected by a password (see isLibraryPasswordProtected) and the password was already verified with verifyLibraryPassword or if an initial password was set with changeLibraryPassword.

If a library with the this name doesn't exist a com::sun::star::container::NoSuchElementException is thrown.

If the library exists but isn't password protected a com::sun::star::lang::IllegalArgumentException is thrown.

## ◆ verifyLibraryPassword()

boolean verifyLibraryPassword | ( | [in] string | Name,
|  | [in] string | Password
| ) |  |
raises | ( | com::sun::star::lang::IllegalArgumentException,
|  | com::sun::star::container::NoSuchElementException
| ) |  |

Verifies the library's password.

If the correct password was passed, the method returns true and further calls to isLibraryPasswordVerified will also return true.

If a library with the this name doesn't exist a com::sun::star::container::NoSuchElementException is thrown.

If the library exists but isn't password protected a com::sun::star::lang::IllegalArgumentException is thrown.

If the library password is already verified a com::sun::star::lang::IllegalArgumentException is thrown.

The documentation for this interface was generated from the following file:

- com/sun/star/script/XLibraryContainerPassword.idl